/*
** Soubor: projekt.c
** Hlavni soubor programu
** Autor: Viktor Obr (xobrvi00@stud.feec.vutbr.cz
*/

#define F_CPU 16000000		        // definice frekvence procesoru
#include <avr\io.h>				    // definicni soubor pro mikrokontroler ATmega16
#include <avr\interrupt.h>		    // definicni soubor pro obsluhu preruseni
#include "serva_h.h"

// konstanty
unsigned char neutral = 125;        // vychozi poloha serv

// hlavni funkce

int main( void)                     // hlavni funkce
{
	servo_init(neutral) ;           // inicializace, nastaveni vychozi polohy serv

	servo_position_new(  10, 0);    // nastaveni polohy jednotlivych serv
	servo_position_new(  40, 1);
	servo_position_new(  70, 2);
	servo_position_new( 100, 3);
	servo_position_new( 150, 4);
	servo_position_new( 180, 5);
	servo_position_new( 210, 6);
	servo_position_new( 240, 7);

	sei();					        //globalni povoleni preruseni

	while(1)			     	    //nekonecna smycka
    {}
}
